org.eclipse.rdf4j.repository.optimistic

## Class IsolationLevelTest

- java.lang.Object
- - org.eclipse.rdf4j.repository.optimistic.IsolationLevelTest

-     public class IsolationLevelTest
      extends Object

  Test that the Repository correctly supports claimed isolation levels.
  Author:
    James Leigh

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Repository` | `store`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IsolationLevelTest()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `assertNotFailed()`
    `protected long` | `count(RepositoryConnection con, Resource subj, IRI pred, Value obj, boolean includeInferred, Resource... contexts)`
    `protected void` | `fail(String message, Throwable t)`
    `protected Thread` | `incrementBy(CountDownLatch start, CountDownLatch observed, IsolationLevels level, ValueFactory vf, IRI subj, IRI pred, int by)`
    `protected void` | `insertTestStatement(RepositoryConnection connection, int i)`
    `protected boolean` | `isSupported(IsolationLevels level)`
    `protected Literal` | `readLiteral(RepositoryConnection con, IRI subj, IRI pred)`
    `void` | `setUp()`
    `static void` | `setUpClass()`
    `void` | `tearDown()`
    `void` | `testNone()`
    `void` | `testReadCommitted()`
    `void` | `testReadUncommitted()`
    `void` | `testSerializable()`
    `void` | `testSnapshot()`
    `void` | `testSnapshotRead()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### store

          protected Repository store

  - ### Constructor Detail

    - #### IsolationLevelTest

          public IsolationLevelTest()

  - ### Method Detail

    - #### setUpClass

          public static void setUpClass()
                                 throws Exception

      Throws:
        `Exception`

    - #### setUp

          public void setUp()
                     throws Exception

      Throws:
        `Exception`

    - #### tearDown

          public void tearDown()
                        throws Exception

      Throws:
        `Exception`

    - #### isSupported

          protected boolean isSupported(IsolationLevels level)
                                 throws RepositoryException

      Throws:
        `RepositoryException`

    - #### testNone

          public void testNone()
                        throws Exception

      Throws:
        `Exception`

    - #### testReadUncommitted

          public void testReadUncommitted()
                                   throws Exception

      Throws:
        `Exception`

    - #### testReadCommitted

          public void testReadCommitted()
                                 throws Exception

      Throws:
        `Exception`

    - #### testSnapshotRead

          public void testSnapshotRead()
                                throws Exception

      Throws:
        `Exception`

    - #### testSnapshot

          public void testSnapshot()
                            throws Exception

      Throws:
        `Exception`

    - #### testSerializable

          public void testSerializable()
                                throws Exception

      Throws:
        `Exception`

    - #### incrementBy

          protected Thread incrementBy(CountDownLatch start,
                                       CountDownLatch observed,
                                       IsolationLevels level,
                                       ValueFactory vf,
                                       IRI subj,
                                       IRI pred,
                                       int by)

    - #### count

          protected long count(RepositoryConnection con,
                               Resource subj,
                               IRI pred,
                               Value obj,
                               boolean includeInferred,
                               Resource... contexts)
                        throws RepositoryException

      Throws:
        `RepositoryException`

    - #### readLiteral

          protected Literal readLiteral(RepositoryConnection con,
                                        IRI subj,
                                        IRI pred)
                                 throws RepositoryException

      Throws:
        `RepositoryException`

    - #### insertTestStatement

          protected void insertTestStatement(RepositoryConnection connection,
                                             int i)
                                      throws RepositoryException

      Throws:
        `RepositoryException`

    - #### fail

          protected void fail(String message,
                              Throwable t)

    - #### assertNotFailed

          protected void assertNotFailed()

Copyright © 2015-2021 Eclipse Foundation. All Rights Reserved.